%{?scl:%scl_package foreman}
%{!?scl:%global pkg_name %{name}}

%global homedir %{_datadir}/%{pkg_name}
%global confdir extras/packaging/rpm/sources

%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

Name: %{?scl_prefix}foreman
Version: 1.1.10014
Release:1.2%{dist}
Summary:Systems Management web application

Group:  Applications/System
License:GPLv3+
URL: http://theforeman.org
Source0: %{pkg_name}-%{version}.tar.gz
Patch0: 0001-fixes-2860-don-t-convert-arbitrary-input-into-symbol.patch
Patch1: 0001-fixes-2863-restrict-APIs-1.2.0.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%if 0%{?fedora} && 0%{?fedora} < 17
Requires: %{?scl_prefix}ruby(abi) = 1.8
%else
%if 0%{?fedora} && 0%{?fedora} > 18
Requires: %{?scl_prefix}ruby(release)
%else
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
%endif
%endif
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}facter
Requires(pre): %{?scl_prefix}puppet >= 0.24.4
Requires: wget
Requires: /etc/cron.d
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Requires: %{?scl_prefix}rubygem(json)
Requires: %{?scl_prefix}rubygem(rails) >= 3.2.8
Requires: %{?scl_prefix}rubygem(rails) < 3.3.0
Requires: %{?scl_prefix}rubygem(jquery-rails)
Requires: %{?scl_prefix}rubygem(rest-client)
Requires: %{?scl_prefix}rubygem(will_paginate) >= 3.0.0
Requires: %{?scl_prefix}rubygem(will_paginate) < 3.1.0
Requires: %{?scl_prefix}rubygem(ancestry) >= 1.3.0
Requires: %{?scl_prefix}rubygem(ancestry) < 1.4.0
Requires: %{?scl_prefix}rubygem(scoped_search) >= 2.5.0
Requires: %{?scl_prefix}rubygem(net-ldap)
Requires: %{?scl_prefix}rubygem(safemode) >= 1.2.0
Requires: %{?scl_prefix}rubygem(safemode) < 1.3.0
Requires: %{?scl_prefix}rubygem(uuidtools)
Requires: %{?scl_prefix}rubygem(oauth)
Requires: %{?scl_prefix}rubygem(rabl) >= 0.7.5
Requires: %{?scl_prefix}rubygem(rake) >= 0.8.3
Requires: %{?scl_prefix}rubygem(ruby_parser) >= 3.0.0
Requires: %{?scl_prefix}rubygem(ruby_parser) < 3.2.0
Requires: %{?scl_prefix}rubygem(audited-activerecord) >= 3.0.0
Requires: %{?scl_prefix}rubygem(apipie-rails) >= 0.0.16
Requires: %{?scl_prefix}rubygem(bundler_ext)
Requires: %{?scl_prefix}rubygem(thin)
Requires: %{?scl_prefix}rubygem(fast_gettext) >= 0.4.8
Requires: %{?scl_prefix}rubygem(gettext)
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails)
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
Requires: %{?scl_prefix}rubygem(i18n_data) >= 0.2.6
Requires: %{?scl_prefix}rubygem(therubyracer)
Requires: %{?scl_prefix}rubygem(jquery-ui-rails)
Requires: %{?scl_prefix}rubygem(twitter-bootstrap-rails)
BuildRequires: %{?scl_prefix}rubygem(ancestry) < 1.4.0
BuildRequires: %{?scl_prefix}rubygem(ancestry) >= 1.3.0
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) >= 0.0.16
BuildRequires: %{?scl_prefix}rubygem(audited-activerecord) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem(bundler_ext)
BuildRequires: %{?scl_prefix}rubygem(coffee-rails) => 3.2.1
BuildRequires: %{?scl_prefix}rubygem(gettext) >= 1.9.3
BuildRequires: %{?scl_prefix}rubygem(fast_gettext)
BuildRequires: %{?scl_prefix}rubygem(gettext)
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails)
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
BuildRequires: %{?scl_prefix}rubygem(i18n_data) >= 0.2.6
BuildRequires: %{?scl_prefix}rubygem(jquery-rails)
BuildRequires: %{?scl_prefix}rubygem(jquery-ui-rails)
BuildRequires: %{?scl_prefix}rubygem(less-rails)
BuildRequires: %{?scl_prefix}rubygem(net-ldap)
BuildRequires: %{?scl_prefix}rubygem(oauth)
BuildRequires: %{?scl_prefix}rubygem(rabl) >= 0.7.5
BuildRequires: %{?scl_prefix}rubygem(rake)
BuildRequires: %{?scl_prefix}rubygem(rest-client)
BuildRequires: %{?scl_prefix}rubygem(ruby_parser) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem(safemode) >= 1.2.0
BuildRequires: %{?scl_prefix}rubygem(sass-rails) => 3.2.3
BuildRequires: %{?scl_prefix}rubygem(scoped_search) >= 2.5.0
BuildRequires: %{?scl_prefix}rubygem(sqlite3)
BuildRequires: %{?scl_prefix}rubygem(therubyracer)
BuildRequires: %{?scl_prefix}rubygem(twitter-bootstrap-rails)
BuildRequires: %{?scl_prefix}rubygem(uglifier) >= 1.0.3
BuildRequires: %{?scl_prefix}rubygem(uuidtools)
BuildRequires: %{?scl_prefix}rubygem(will_paginate) >= 3.0.2
BuildRequires: %{?scl_prefix}rubygem(rails)
BuildRequires: %{?scl_prefix}rubygem(quiet_assets)
BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails)
BuildRequires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
BuildRequires: %{?scl_prefix}facter
BuildRequires: %{?scl_prefix}puppet >= 0.24.4
BuildRequires: gettext
# This shouldn't actually be required at build time.
# BuildRequires: puppet

%package cli
Summary: Foreman CLI
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(foremancli) >= 1.0

%description cli
Meta Package to install rubygem-cli and its dependencies

%files cli

# RHOS does not ship foreman-release package
#%package release
#Summary:        Foreman repository files
#Group:  	Applications/System


#%description release
#Foreman repository contains open source and other distributable software for
#Fedora. This package contains the repository configuration for Yum.

#%files release
#%config(noreplace) %{_sysconfdir}/yum.repos.d/*
#/etc/pki/rpm-gpg/*

%package libvirt
Summary: Foreman libvirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(ruby-libvirt)
Requires: %{name} = %{version}-%{release}
Requires: %{?scl_prefix}foreman-compute = %{version}-%{release}
Obsoletes: %{?scl_prefix}foreman-virt < 1.0.0
Provides: %{?scl_prefix}foreman-virt = 1.0.0

%description libvirt
Meta Package to install requirements for virt support

%files libvirt
%{_datadir}/%{pkg_name}/bundler.d/libvirt.rb

%package ovirt
Summary: Foreman ovirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(rbovirt) >= 0.0.15
Requires: %{?scl_prefix}foreman-compute = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description ovirt
Meta Package to install requirements for ovirt support

%files ovirt
%{_datadir}/%{pkg_name}/bundler.d/ovirt.rb

%package compute
Summary: Foreman Compute Resource support via fog
Group:  Applications/System
Requires: %{?scl_prefix}rubygem-fog >= 1.8.0
Requires: %{name} = %{version}-%{release}
Obsoletes: %{?scl_prefix}foreman-fog < 1.0.0
Provides: %{?scl_prefix}foreman-fog = 1.0.0
Obsoletes: %{?scl_prefix}foreman-ec2
Provides: %{?scl_prefix}foreman-ec2

%description compute
Meta Package to install requirements for compute resource support, in
particular, Amazon EC2, OpenStack and Rackspace.

%files compute
%{_datadir}/%{pkg_name}/bundler.d/fog.rb

%package vmware
Summary: Foreman vmware support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(rbvmomi)
Requires: %{name} = %{version}-%{release}
Requires: %{?scl_prefix}foreman-compute = %{version}-%{release}

%description vmware
Meta Package to install requirements for vmware support

%files vmware
%{_datadir}/%{pkg_name}/bundler.d/vmware.rb

%package assets
Summary: Foreman asset pipeline support
Group: Applications/system
Requires: %{pkg_name} = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(coffee-rails) >= 3.2.1
Requires: %{?scl_prefix}rubygem(coffee-rails) < 3.2.2
Requires: %{?scl_prefix}rubygem(jquery-rails) = 2.0.3
Requires: %{?scl_prefix}rubygem(jquery-ui-rails)
Requires: %{?scl_prefix}rubygem(quiet_assets)
Requires: %{?scl_prefix}rubygem(sass-rails) >= 3.2.3
Requires: %{?scl_prefix}rubygem(sass-rails) < 3.2.4
Requires: %{?scl_prefix}rubygem(spice-html5-rails)
Requires: %{?scl_prefix}rubygem(therubyracer)
Requires: %{?scl_prefix}rubygem(twitter-bootstrap-rails)
Requires: %{?scl_prefix}rubygem(uglifier)
Requires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
Requires: %{?scl_prefix}rubygem(gettext) >= 1.9.3

%description assets
Meta package to install asset pipeline support.

%files assets
%{_datadir}/%{pkg_name}/bundler.d/assets.rb

%package console
Summary: Foreman console support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(awesome_print)
Requires: %{?scl_prefix}rubygem(hirb-unicode)
Requires: %{?scl_prefix}rubygem(wirb)
Requires: %{name} = %{version}-%{release}

%description console
Meta Package to install requirements for console support

%files console
%{_datadir}/%{pkg_name}/bundler.d/console.rb

%package mysql
Summary: Foreman mysql support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mysql)
Requires: %{name} = %{version}-%{release}

%description mysql
Meta Package to install requirements for mysql support

%files mysql
%{_datadir}/%{pkg_name}/bundler.d/mysql.rb

%package mysql2
Summary: Foreman mysql2 support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mysql2)
Requires: %{name} = %{version}-%{release}

%description mysql2
Meta Package to install requirements for mysql2 support

%files mysql2
%{_datadir}/%{pkg_name}/bundler.d/mysql2.rb

%package postgresql
Summary: Foreman Postgresql support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(pg)
Requires: %{name} = %{version}-%{release}

%description postgresql
Meta Package to install requirements for postgresql support

%files postgresql
%{_datadir}/%{pkg_name}/bundler.d/postgresql.rb

%package sqlite
Summary: Foreman sqlite support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(sqlite3)
Requires: %{name} = %{version}-%{release}

%description sqlite
Meta Package to install requirements for sqlite support

%files sqlite
%{_datadir}/%{pkg_name}/bundler.d/sqlite.rb

# <devel packages are not SCL enabled yet - not avaiable on SCL platforms>
%if %{?scl:0}%{!?scl:1}

%package devel
Summary: Foreman devel support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(ruby-debug19)
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: %{name}-libvirt = %{version}-%{release}
Requires: %{name}-ovirt = %{version}-%{release}
Requires: %{name}-compute = %{version}-%{release}
Requires: %{name}-vmware = %{version}-%{release}
Requires: %{name}-console = %{version}-%{release}
Requires: %{name}-mysql = %{version}-%{release}
Requires: %{name}-mysql2 = %{version}-%{release}
Requires: %{name}-postgresql = %{version}-%{release}
Requires: %{name}-sqlite = %{version}-%{release}
Requires: %{name}-test = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(ci_reporter)
Requires: %{?scl_prefix}rubygem(gettext)
Requires: %{?scl_prefix}rubygem(maruku)
Requires: %{?scl_prefix}rubygem(single_test)
Requires: %{?scl_prefix}rubygem(pry)
Requires: %{?scl_prefix}rubygem(term-ansicolor)
Requires: %{?scl_prefix}rubygem(rack-mini-profiler)
Requires: %{name}-assets = %{version}-%{release}

%description devel
Meta Package to install requirements for devel support

%files devel
%{_datadir}/%{pkg_name}/bundler.d/development.rb

%package test
Summary: Foreman test support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mocha)
Requires: %{?scl_prefix}rubygem(shoulda)
Requires: %{?scl_prefix}rubygem(rr)
Requires: %{?scl_prefix}rubygem(rake)
Requires: %{?scl_prefix}rubygem(maruku)
Requires: %{?scl_prefix}rubygem(single_test)
Requires: %{name} = %{version}-%{release}

%description test
Meta Package to install requirements for test

%files test
%{_datadir}/%{pkg_name}/bundler.d/test.rb

%endif

%description
Foreman is aimed to be a Single Address For All Machines Life Cycle Management.
Foreman is based on Ruby on Rails, and this package bundles Rails and all
plugins required for Foreman to work.

%prep
%setup -n %{pkg_name}-%{version} -q
%patch0 -p1
%patch1 -p1

%build
#replace shebangs for SCL
%if %{?scl:1}%{!?scl:0}
    for f in extras/query/ssh_using_foreman extras/rdoc/rdoc_prepare_script.rb extras/cli/foremancli \
		script/rails script/performance/profiler script/performance/benchmarker script/foreman-config ; do
	    sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' $f
    done
    sed -ri '1,$sX/usr/bin/rubyX%{scl_ruby}X' %{confdir}/%{pkg_name}.init
    sed -ri '1,$s|THIN=/usr/bin/thin|THIN="run_in_scl"|' %{confdir}/%{pkg_name}.init
%endif

#build locale files
make -C locale all-mo

#use Bundler_ext instead of Bundler
mv Gemfile Gemfile.in

# fix the issue with loading scoped_search
# upstream bug https://github.com/wvanbergen/scoped_search/issues/53
sed -i "s/gem 'scoped_search'/gem 'sprockets'\n&/" Gemfile.in
cp config/database.yml.example config/database.yml
cp config/settings.yaml.example config/settings.yaml
export BUNDLER_EXT_NOSTRICT=1
export BUNDLER_EXT_GROUPS="default assets"
# this is only for sat6 installation of foreman
# export RAILS_RELATIVE_URL_ROOT="/foreman"

scl enable ruby193 "rake assets:precompile:all RAILS_ENV=production --trace"
rm config/database.yml config/settings.yaml

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{_datadir}/%{pkg_name}
install -d -m0755 %{buildroot}%{_sysconfdir}/%{pkg_name}
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{pkg_name}
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{pkg_name}/tmp
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{pkg_name}/tmp/pids
install -d -m0755 %{buildroot}%{_localstatedir}/run/%{pkg_name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{pkg_name}
install -Dp -m0755 script/%{pkg_name}-debug %{buildroot}%{_sbindir}/%{pkg_name}-debug
install -Dp -m0644 %{confdir}/%{pkg_name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{pkg_name}
install -Dp -m0644 %{confdir}/%{pkg_name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{pkg_name}
install -Dp -m0644 %{confdir}/%{pkg_name}.cron.d %{buildroot}%{_sysconfdir}/cron.d/%{pkg_name}

cp -p Gemfile.in %{buildroot}%{_datadir}/%{pkg_name}/Gemfile.in
cp -p -r app bundler.d config config.ru extras lib locale Rakefile script %{buildroot}%{_datadir}/%{pkg_name}
rm -rf %{buildroot}%{_datadir}/%{pkg_name}/extras/{jumpstart,spec}

#install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
#sed "s/\$DIST/$(echo %{?dist} | sed 's/^\.//')/g" %{confdir}/%{name}.repo > $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/%{name}.repo
#chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/%{name}.repo
#install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
#install -pm 644 %{confdir}/%{name}.gpg $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-foreman

# remove all test units from produciton release
find %{buildroot}%{_datadir}/%{pkg_name} -type d -name "test" |xargs rm -rf

# Move config files to %{_sysconfdir}
mv %{buildroot}%{_datadir}/%{pkg_name}/config/database.yml.example %{buildroot}%{_datadir}/%{pkg_name}/config/database.yml
mv %{buildroot}%{_datadir}/%{pkg_name}/config/email.yaml.example %{buildroot}%{_datadir}/%{pkg_name}/config/email.yaml
mv %{buildroot}%{_datadir}/%{pkg_name}/config/settings.yaml.example %{buildroot}%{_datadir}/%{pkg_name}/config/settings.yaml

for i in database.yml email.yaml settings.yaml; do
mv %{buildroot}%{_datadir}/%{pkg_name}/config/$i %{buildroot}%{_sysconfdir}/%{pkg_name}
ln -sv %{_sysconfdir}/%{pkg_name}/$i %{buildroot}%{_datadir}/%{pkg_name}/config/$i
done

# Put db in %{_localstatedir}/lib/%{pkg_name}/db
cp -pr db/migrate db/seeds.rb %{buildroot}%{_datadir}/%{pkg_name}
mkdir %{buildroot}%{_localstatedir}/lib/%{pkg_name}/db

ln -sv %{_localstatedir}/lib/%{pkg_name}/db %{buildroot}%{_datadir}/%{pkg_name}/db
ln -sv %{_datadir}/%{pkg_name}/migrate %{buildroot}%{_localstatedir}/lib/%{pkg_name}/db/migrate

# Put HTML %{_localstatedir}/lib/%{pkg_name}/public
cp -pr public %{buildroot}%{_localstatedir}/lib/%{pkg_name}/
ln -sv %{_localstatedir}/lib/%{pkg_name}/public %{buildroot}%{_datadir}/%{pkg_name}/public

# Put logs in %{_localstatedir}/log/%{pkg_name}
ln -sv %{_localstatedir}/log/%{pkg_name} %{buildroot}%{_datadir}/%{pkg_name}/log

# Put tmp files in %{_localstatedir}/run/%{pkg_name}
ln -sv %{_localstatedir}/run/%{pkg_name} %{buildroot}%{_datadir}/%{pkg_name}/tmp
echo %{version} > %{buildroot}%{_datadir}/%{pkg_name}/VERSION

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README.md
%doc VERSION
%exclude %{_datadir}/%{pkg_name}/bundler.d/*
%{_datadir}/%{pkg_name}
%exclude %{_datadir}/%{pkg_name}/app/assets
#%{_initrddir}/%{pkg_name}
%{_sbindir}/%{pkg_name}-debug
%config(noreplace) %{_sysconfdir}/%{pkg_name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{pkg_name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{pkg_name}
%config %{_sysconfdir}/cron.d/%{pkg_name}
%attr(-,%{pkg_name},%{pkg_name}) %{_localstatedir}/lib/%{pkg_name}
%attr(750,%{pkg_name},%{pkg_name}) %{_localstatedir}/log/%{pkg_name}
%attr(-,%{pkg_name},%{pkg_name}) %{_localstatedir}/run/%{pkg_name}
%attr(-,%{pkg_name},root) %{_datadir}/%{pkg_name}/config.ru
%attr(-,%{pkg_name},root) %{_datadir}/%{pkg_name}/config/environment.rb
#%ghost %attr(-,%{pkg_name},root) %{_datadir}/%{pkg_name}/config/initializers/local_secret_token.rb

%pre
# Add the "foreman" user and group
getent group %{pkg_name} >/dev/null || groupadd -r %{pkg_name}
getent passwd %{pkg_name} >/dev/null || \
useradd -r -g %{pkg_name} -G puppet -d %{homedir} -s /sbin/nologin -c "Foreman" %{pkg_name}
exit 0

%pretrans
# Try to handle upgrades from earlier packages. Replacing a directory with a
# symlink is hampered in rpm by cpio limitations.
datadir=%{_datadir}/%{pkg_name}
varlibdir=%{_localstatedir}/lib/%{pkg_name}
# remove all active_scaffold left overs
find $datadir -type d -name "active_scaffold*" 2>/dev/null | xargs rm -rf
rm -f $datadir/public/javascripts/all.js 2>/dev/null

if [ ! -d $varlibdir/db -a -d $datadir/db -a ! -L $datadir/db ]; then
  [ -d $varlibdir ] || mkdir -p $varlibdir
  mv $datadir/db $varlibdir/db && ln -s $varlibdir/db $datadir/db
  if [ -d $varlibdir/db/migrate -a ! -L $varlibdir/db/migrate -a ! -d $datadir/migrate ]; then
mv $varlibdir/db/migrate $datadir/migrate && ln -s $datadir/migrate $varlibdir/db/migrate
  fi
fi

if [ ! -d $varlibdir/public -a -d $datadir/public -a ! -L $datadir/public ]; then
  [ -d $varlibdir ] || mkdir -p $varlibdir
  mv $datadir/public $varlibdir/public && ln -s $varlibdir/public $datadir/public
fi

varlibdir=%{_localstatedir}/log # /var/log
if [ ! -d $varlibdir/%{pkg_name} -a -d $datadir/log -a ! -L $datadir/log ]; then
  [ -d $varlibdir ] || mkdir -p $varlibdir
fi

varlibdir=%{_localstatedir}/run # /var/run
if [ ! -d $varlibdir/%{pkg_name} -a -d $datadir/tmp -a ! -L $datadir/tmp ]; then
  [ -d $varlibdir ] || mkdir -p $varlibdir
  mv $datadir/tmp $varlibdir/%{pkg_name} && ln -s $varlib/%{pkg_name} $datadir/tmp
fi

%post
if [ ! -f %{_datadir}/%{pkg_name}/config/initializers/local_secret_token.rb ]; then
  touch %{_datadir}/%{pkg_name}/config/initializers/local_secret_token.rb
  chmod 0640 %{_datadir}/%{pkg_name}/config/initializers/local_secret_token.rb
  chgrp foreman %{_datadir}/%{pkg_name}/config/initializers/local_secret_token.rb
  scl enable ruby193 "rake -f %{_datadir}/%{pkg_name}/Rakefile security:generate_token >/dev/null 2>&1 || :"
fi
/sbin/chkconfig --add httpd || :
  (/sbin/service httpd status && /sbin/service httpd restart) >/dev/null 2>&1
  exit 0

%posttrans
# We need to run the db:migrate after the  install transaction
su - foreman -s /bin/bash -c %{_datadir}/%{pkg_name}/extras/dbmigrate >/dev/null 2>&1 || :
 (/sbin/service httpd status && /sbin/service httpd restart) >/dev/null 2>&1
 exit 0

%postun
if [ $1 -ge 1 ] ; then
# Restart the service
/sbin/service httpd restart >/dev/null 2>&1 || :
fi

%changelog
* Fri Aug 21 2013 Crag Wolfe <cwolfe@redhat.com> 1.1.10014-1.2.el6ost
- fixes CVE-2013-4180, upstream 2860
- fixes CVE-2013-4182, upstream 2863

* Fri Aug 16 2013 Lon Hohberger <lhh@redhat.com> 1.1.10014-1.1.el6ost
- Merge changes for Red Hat OpenStack
  - Don't ship foreman-release package

* Thu Jun 20 2013 Sam Kottler <shk@redhat.com> 1.1.10014-1
- fixes #2686 - use setting model's string parser to update values (cherry
  picked from commit 5d9073bba52b502b08b8b67b7f546eb4d481e5c1)

* Thu Jun 20 2013 Sam Kottler <shk@redhat.com> 1.1.10013-1
- fixes #2685 incorrect and inefficient regexp checking medium name format
  (inecas@redhat.com)

* Thu Jun 20 2013 Sam Kottler <shk@redhat.com> 1.1.10012-1
- fixes #2583 - error message is now properly i18n-ed (cherry picked from
  commit 8f3d76af2aa55d486b2d52558aa91e2d62cafbe3)
- Fixes #2640 - use relative user logout path (cherry picked from commit
  1ff6a50c16ef6e8bf8b1aa709ec2f8769ba70d79)
- Fixes #2619 - don't display full output from proxy (mhulan@redhat.com)
- fixes #2334 - location matcher doesn't match on smart parameters (cherry
  picked from commit c7f527779d80e1cc78e1f3b02a6ba7bfc081a95d)
- fixes #2660 - settings, improve tests and fixes (tstrachota@redhat.com)
- fixes #2343 - override default settings with custom values
  (tstrachota@redhat.com)
- Fixes #2644 - Refactor Host find_by_name to use several ways to find a host,
  and refactor my_hosts scope to Host::Base, allowing us to remove unnecessary
  permissions check from find_by_name (cherry picked from commit
  5b5af86ecd6f6b147aeb4dd4ceadd890dc9f2699)
- Fixes #2643 - Check for operatingsystem before orchestrating TFTP (cherry
  picked from commit d2e50bbbf7d84fde6d846f5a821cf7e2c28fbfb3)
- Fixes #2642 - Display build button if host type has changed (cherry picked
  from commit 4cdd3291c6756d966ae52b7dc6cdc6a9fdf855fb)
- fixes #2679 pie get error when the label is too long (cherry picked from
  commit 3de840c1263eea516673191bd6ccdf446a928d19)
- fixes #2669 username first name and last name doesn't accept i18n characters
  (cherry picked from commit aa925f8009b7024dbb77c797d95c14b2e725a1d7)
- fixes #2639 After creating user with empty e-mail it becomes impossible to
  add it. (cherry picked from commit 802ae177dc9d35c3fc3889fa34b24e7f32001eb8)
- fixes #2610 - fixed the boot device order for oVirt VMs created in Foreman
  (cherry picked from commit e34f713634a44986695f266ba442f2e07bfaea63)
- fixes #2656 error connecting to vsphere after upgrade to ruby 1.9.3 (cherry
  picked from commit 617ee75f8c0f8d239564f3fd48d92a2d772eeb8b)
- fixes #2612 - move Task into Orchestration namespace due to RbVmomi conflict
  (cherry picked from commit 467ea135da2b2309d306fd7e97d5c52a9ab00dbe)
- fixes #2646 Asset icon URLs are incorrect when under a different base URL
  (cherry picked from commit 1546388e9c82f6382be1ec35738489e8c9458c69)
- Merged fix to hosts_controller (gsutclif@redhat.com)

* Fri Jun 14 2013 Sam Kottler <shk@redhat.com> 1.1.10011-1
- Fixed merge conflict in host_edit.js (abenari@redhat.com)

* Wed Jun 12 2013 Sam Kottler <shk@redhat.com> 1.1.10010-1
- fixes #1938 Foreman shouldn't use the FQDN fact to identify the node when
  facts are uploaded (cherry picked from commit
  baeb54f19a67ef8e5fbce513548cda1653341e17)
- fixes #2622 - error messages with HTML properly escaped (cherry picked from
  commit c8d1c6d713cc412bc4ab30b74e60e2ff98d8b74a)
- Use facts[:operatingsystemrelease] to determined gentoo release (cherry
  picked from commit ef3a1338a05c0d8689dfa87ec7cd6f4bc07312f7)
- fixes #2633 - enable generate_token rake task to run from elsewhere (cherry
  picked from commit a5f4453257060e0e02b7fdd7498e2f5936c38a27)
- fixes #2636 host submit missing progress-bar when installed at sub-domain
  (cherry picked from commit 92326dd2588338079a10f11c676380d75b3a4d1f)

* Mon Jun 10 2013 Sam Kottler <shk@redhat.com> 1.1.10009-1
- Fixed migration for removing non-RH distros with pg (shk@redhat.com)

* Mon Jun 10 2013 Sam Kottler <shk@redhat.com> 1.1.10008-1
- Fixed the asset path for internal only (shk@redhat.com)

* Mon Jun 10 2013 Sam Kottler <shk@redhat.com> 1.1.10007-1
- Fixes BZ#971463 - remove non-Red Hat default content (shk@redhat.com)

* Mon Jun 10 2013 Sam Kottler <shk@redhat.com> 1.1.10006-1
- fixes #2616 - Hostgroup fields not populating when parent fields are selected
  (cherry picked from commit 1bd19611c2420923350b72f150774134b5b179db)
- Merged changelog (dcleal@redhat.com)
- Fixes #2038 - updated config and partition table templates using ones from
  the community repository (cherry picked from commit
  cb92c0be69a00142158d884e05097b47d20480da)
- reload multy-select js (cherry picked from commit
  ba946542626d16f65a5e99144f9e5c3856609eff)
- fixes #2625 - hostgroup nest and clone methods (cherry picked from commit
  e0f4f396c24f3ee64e83c479c5d741113af060f3)
- fixes #2296 Hostgroup subnet field was not enabled after selecting domain
  (cherry picked from commit 04157eeddffa70104c82d7b6529c3a5aad3daefb)
- fixes #2608 - add passenger, selinux to comps (cherry picked from commit
  989f9de937feebd0fe598fc322ae534d22dcfefd)

* Fri Jun 07 2013 Sam Kottler <shk@redhat.com> 1.1.10005-1
-  fixes #2630 - restrict assignment of roles to those a user has
  (CVE-2013-2113) (mhulan@redhat.com)
- fixes #2631 - fix remote code execution via controller name (CVE-2013-2121)
  (jmagen@redhat.com)

* Thu Jun 06 2013 Sam Kottler <shk@redhat.com> 1.1.10004-1
- fixes #2490 - filter empty EC2 security groups (stef@ummon.com)
- Removed change() from bad cherry-pick in host_edit.js (shk@redhat.com)
- fixes #2480 - undefined method `html_raw' (ohadlevy@gmail.com)
- Fixes #2476 - precompile and include textmate theme (mhulan@redhat.com)
- fixes #2486 - ensure facts import is idempotent when values are unchanged
  (dcleal@redhat.com)
- fixes #2246 deleting an environment also deletes associated templates
  (tstrachota@redhat.com)
- fixes #2440 remove unused files, code, unnecessary require statements
  (jmagen@redhat.com)
- fixes #2478 - smart-variable in ENC stopped working (abenari@redhat.com)
- fixes #2453 - fix aggressive truncation of hostgroups < 26 chars
  (dcleal@redhat.com)
- fixes #2481 - invalid state in BMC power dropdown (ohadlevy@gmail.com)
- fixes #2335 - update puppetclass redirects to referrer page
  (jmagen@redhat.com)
- fixes #2488 - hosts/<fqdn>/lookupkeys/<key-id> api is broken
  (abenari@redhat.com)
- fixes #2396 Popups show escaped HTML (abenari@redhat.com)
- fixes #2541 - multiple host checkbox selections clears when moving to next
  page
- fixed #2534 fixes #2495 paginator has i18n issues

* Thu Jun 06 2013 Sam Kottler <shk@redhat.com> 1.1.10003-1
- Fixed a typo (shk@redhat.com)
- Use the version tagger (shk@redhat.com)
- Removed the release tagger (shk@redhat.com)

* Thu Jun 06 2013 Sam Kottler <shk@redhat.com> 1.1.10002-50
- CVE-2013-2113 Foreman: app/controllers/users_controller.rb arbitrary admin
  user creation due to mass assignment (mhulan@redhat.com)
- CVE-2013-2121 Foreman: app/controllers/bookmarks_controller.rb remote code
  execution (jmagen@redhat.com)

* Thu Jun 06 2013 Sam Kottler <shk@redhat.com> 1.1.10002-49
- Adding localized JS for 'i18n - adding fr, en_GB languages' (shk@redhat.com)
- i18n - adding fr, en_GB languages
- Fixes #2615 - failed to save host group (mhulan@redhat.com)
- fixes #2621 search box and search button alignment on firefox.
- re-fixes #2549 - default location bug was introduced in commit 66afbc33 that
  is fixed
- fixes #2386 - permission failure on create_lookup_value
- fixes #2623 - trends link was broken

* Wed Jun 05 2013 Sam Kottler <shk@redhat.com> 1.1.10002-48
- Updated locales (shk@redhat.com)

* Wed Jun 05 2013 Sam Kottler <shk@redhat.com> 1.1.10002-47
- fixes #2617 Can't edit a host once it's created (cherry picked from commit
  31b0ec6e23eea12ec76e25c1082174ebe83fd965)
- Merged ' fixes #2558 - foreman-debug script in /usr/sbin'
  (lzap+git@redhat.com)
- fixes #2607 - add autocomplete=false attribute to root_host_pass input x
  (cherry picked from commit 0c6065e6633b4d377062c90013439b99db1e3bf0)
- fixes #2285 - subnet validation - length of addresses, strip whitespace and
  fix common typos (cherry picked from commit
  31aa5db511a6decf800e68a2b6f6eb3dbf0ae29c)

* Tue Jun 04 2013 Sam Kottler <shk@redhat.com> 1.1.10002-46
- fixes #2542 - sort image listing with datatables (cherry picked from commit
  af1b63500af591325ccdbe0dbfc9caac232cd37c)
- Fixes #2571 - Deleted admin is recreated (cherry picked from commit
  4df2e17b75c65fa657ef9499ccf9c71547f11dcf)
- fixes #2553 let setting admin attribute on user creation (cherry picked from
  commit 7fab6ba6c7e6085bee5149953aa52a59d83e62f4)
- fixes #2325 No A record created in domain when provisioning image based vm
  (cherry picked from commit 3b6d152746d63444ce0ae2044cec4cbb8f224882)
- fixes #2316 Adding a disk to an existing RHEV 3.1 VM via Foreman results in
  an error (cherry picked from commit 0e5696d392b7e26dfc975d85d304a6b3bb1fa9fb)
- fixes #2197 - form fields for new host are scoped by location and
  organization on load (cherry picked from commit
  671b7907dd397c1623208815505f5f09f43dcc28)
- refresh locales
- fixes #2551 new host image not always visible under openstack

* Tue Jun 04 2013 Sam Kottler <shk@redhat.com> 1.1.10002-45
- fixes #2570 'New Window' button on HTML5 spice client page does not work
  (cherry picked from commit 9dd435a704956981a3ce0c5bb43bc9fe1a9f4fe6)
- fixes #2594 missing progress indicator on compute resource selection (cherry
  picked from commit 5d8ef4cbb518477e0b166bf7903f3b0128df2992)
- fixes #2606 fix display of compute resource errors (cherry picked from commit
  95be09637360db50222dc783e4b8d16b04934870)
- fixes #2565 - new / edit host ajax call create nested forms (cherry picked
  from commit 0df38871a1a9c3dedfab5d1472f5816d891273b5)
- Merged 'searching for hosts with digits can lead to unexpected results'
  (abenari@redhat.com)
- fixes #2602 - scoped_search error when using postgresql (cherry picked from
  commit 93ce3a18eea3bd04b09dc7b55a5c513f973736f5)
- fixes #2603 - handle missing compute_resources param loading VM tab (cherry
  picked from commit 446fce677185cde7215c602a0e476f3692e36ad4)
- fixes #2545 - EC2 instance does not show EC2 related options in Edit page.
  (cherry picked from commit 7164f367646dcd30b53f53d0865788ce15c3666d)
- fixes #2590 - bookmarks modal form is now working (cherry picked from commit
  56469be738cc5f2388f7e43dca0ee5492de1dbf5)
- fixes #1951 - support for libvirt named networks (ohadlevy@gmail.com)
- fixes #2588 - fixed regression introduced earlier: localization works for
  non-AR classes too now (cherry picked from commit
  b08d7e45fbdea5f80fad5254e70d8b2004c05e36)
- fixes #2588 - table name used for localization is being determined correctly
  now for sti classes. (cherry picked from commit
  2e1e6f713d49ef6f5274d798f8882faa2579f680)
- fixes #2549, fixes #2544 - new host organization and location should default
  to current context if it exists (cherry picked from commit
  66afbc33721b39f768d4fba7f6d134bfe8188467)
- fixes #2562 libvirt domain listen address, add
  libvirt_default_console_address setting (cherry picked from commit
  710dfa86835e7b8b430cf59646a7888746c3b0bc)
- Merged 'Enable yum gpgcheck for RCs' (dcleal@redhat.com)
- fixes #2538 - hostgroup provisioning falls back to root_pass setting (cherry
  picked from commit d56112fb7edf4230c3397cfec77d81b635fe441d)
- fixes #2493 Unable to load audit, underlying cause No such file to load --
  audit (cherry picked from commit fa4869907eb7a9a5a494a0281ea9a9f102c95ef5)
- fixes #2539 - added API puppetrun access permission and test (cherry picked
  from commit 0fda4cf6098f491f067a00a7547e703e8632f035)
- fixes #2539 - puppetrun API added. (cherry picked from commit
  f2fed493701bf8cee17515d7fae803d0e65ae42d)
- Avoid inheriting from Puppet::Resource (cherry picked from commit
  c140d2973b6c6d06102d91c537f39c8f40ea4b4b)
- fixes #2579 - explicitly list field name, workaround rails #5990 (cherry
  picked from commit 65f764d6081b04cd03fa56a78e6281b5221b0bac)
- Refs #2002 - Fog quick hack (cherry picked from commit
  b2c8312c6919423a7d77c36468fc8d62dbe874cc)
- Fixes #2584: Remove rubygem-virt from comps (cherry picked from commit
  0bca93e35db285be6ce1a9e2176a23b655dd4712)
- fixes #2555, #2560 - add foreman-release and MySQL gems to comps (cherry
  picked from commit 259a849c2525b1cf8771b18f60272c1d97d3e7b1)
- Merged spec changes (dcleal@redhat.com)
- Merged changelog (dcleal@redhat.com)
- fixes #2582 indicators for all. (cherry picked from commit
  89b9ecb070b530641b005a1ef1437b7e3ed19c3d)
- new logos without version number (abenari@redhat.com)

* Thu May 30 2013 Sam Kottler <shk@redhat.com> 1.1.10002-44
- fixes #2587 - migration to increase varchar length of media.name and other
  string fields (jmagen@redhat.com)
- Fix for CVE-2013-2121: unsanitized user input (jmagen@redhat.com)

* Wed May 29 2013 Sam Kottler <shk@redhat.com> 1.1.10002-43
- Fixes #2519 - Protect locale changes from validation failure so that password
  validation can be run
- fixes #2536 - loading locale .mo files in production mode
  (tstrachota@redhat.com)
- fixes #2563 - fallback user image has wrong path
- fixes #2567 - handle backtraces correctly in compute orchestration errors
- fixes #2546 - audit details error - undefined method 'map' for string
- fixes #2537 - audit details on deleted host fail
- Fixes #2372 - Strip non-digit characters from non-numeric OS versions
- fixes #2550 Puppetclass search_by_host doesn't return all classes for an
  unknown host (elobatocs@gmail.com)
- fixes #2548 - add non-SCL dependencies to comps for publishing
- fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact
  names
- fixes #2498 FactNames are not precreated (elobatocs@gmail.com)
- fixes #2130 - normalize_hostname appends domainname to fqdn
  (frimik@gmail.com)
- Fixes #2497 - Join to the fact_values table when a user fact-filter is
  applied
- fixes #2522 dashboard events table should not have a border and is too long
- Fixes #2458 - Directory structure precreated
- fixes #2485 - updated_at = NULL
- Revert "fixes #2197 - form fields for new host are scoped by location and
  organization on load" (shk@redhat.com)

* Wed May 29 2013 Sam Kottler <shk@redhat.com> 1.1.10002-42
- fixes #2197 - form fields for new host are scoped by location and organization on load

* Tue May 28 2013 Sam Kottler <shk@redhat.com> 1.1.10002-41
- Fixed additional typo in local (shk@redhat.com)
- use the same icon file as katello (bkearney@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-40
- Go back to using the right rake macros (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-39
- Fixes #2502 - session expiration updates (mhulan@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-38
- Fixed rake tasks (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-37
- Added favicon properly (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-36
- Added the shadowman favicon (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-35
- Added default builder back properly (shk@redhat.com)
- Removed default builder (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-34
- Updated the builder (shk@redhat.com)

* Thu May 23 2013 Sam Kottler <shk@redhat.com> 1.1.10002-33
- fixes #2526 Favicon only shows up if foreman is deployed in the root context
  (cherry picked from commit ecc106ace7d609e529e9472eb490765f59dcf028)
- Fixes #2513 - orgs created in katello do not appear in org filtering
  (tstrachota@redhat.com)
- fixes #2491, fixes #2487 - i18n issues
- fixes #2511 Footer should be replaced with an about page
- Resolved conflicts and CP'ed 966134 (dcleal@redhat.com)

* Tue May 21 2013 Sam Kottler <shk@redhat.com> 1.1.10002-32
- Merge branch 'SATELLITE-6.0.1' of
  ssh://git.corp.redhat.com/srv/git/engineering/foreman into SATELLITE-6.0.1
  (shk@redhat.com)
- Added the proper builder (shk@redhat.com)

* Tue May 21 2013 Sam Kottler <shk@redhat.com> 1.1.10002-31
- Rebuild to fix images

* Tue May 21 2013 Sam Kottler <shk@redhat.com> 1.1.10002-30
- Make dist-git releaser match the name in thirdparty (shk@redhat.com)

* Tue May 21 2013 Lon Hohberger <lhh@redhat.com> 1.1.10002-31
- Fix up SCL macros (w/ jomara@redhat.com)

* Mon May 20 2013 Bryan Kearney <bkearney@redhat.com> 1.1.10002-29
- Add in a build requires for gettext (bkearney@redhat.com)

* Mon May 20 2013 Bryan Kearney <bkearney@redhat.com> 1.1.10002-28
- Add back in the precompile (bkearney@redhat.com)

* Mon May 20 2013 Bryan Kearney <bkearney@redhat.com> 1.1.10002-27
- RPM packaging fixes (dcleal@redhat.com)
- Updated the spec for packaging Foreman on top of a Ruby 1.9.3 software

* Mon May 20 2013 Bryan Kearney <bkearney@redhat.com> 1.1.10002-26
- branding (abenari@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-25
- Just use ruby so the sed line will work (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-24
- Fixed requires (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-23
- Fixed ruby_parser dep version (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-22
- Fixed versioning issues for deps (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-21
- Removed ghost altogether (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-20
- Added back the ghost (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-19
- Add proper attr's on the token file and don't precompile (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-18
- Revert "Added gettext_rails requirement" (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-17
- Added gettext_rails requirement (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-16
- Added gettext (shk@redhat.com)

* Fri May 17 2013 Sam Kottler <shk@redhat.com> 1.1.10002-15
- Added gettext_i18n_rails_js dependency (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-14
- Ensure the settings file is copied (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-13
- More basic scheme for building (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-12
- Removed the first root_bindir (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-11
- Added proper macro for mkdir (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-10
- Fixed the bindir macro (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-9
- Fixed closing endif (shk@redhat.com)
- Attempt to properly install the wrapper (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-8
- Added a wrapper for /usr/bin/ruby193-rake (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-7
- Fix rake (shk@redhat.com)
- Revert "Attempt to pin to a specific version" (shk@redhat.com)

* Thu May 16 2013 Sam Kottler <shk@redhat.com> 1.1.10002-6
- Attempt to pin to a specific version (shk@redhat.com)

* Wed May 15 2013 Sam Kottler <shk@redhat.com> 1.1.10002-5
- Fixed path for init script (shk@redhat.com)
- Revert "Fixed ruby_parser dependency to match what's in the internal build
  system" (shk@redhat.com)

* Wed May 15 2013 Sam Kottler <shk@redhat.com> 1.1.10002-4
- Fixed ruby_parser dependency to match what's in the internal build system
  (shk@redhat.com)

* Wed May 15 2013 Sam Kottler <shk@redhat.com> 1.1.10002-3
- Version bump for ensuring the tag exists remotely

* Tue May 14 2013 Sam Kottler <shk@redhat.com> 1.1.10002-2
- Removed requirement for non-SCL puppet (shk@redhat.com)
- Added proper releaser settings per msuchy's recommendations (shk@redhat.com)

* Mon May 13 2013 Sam Kottler <shk@redhat.com> 1.1.10002-1
- Added sat6 tags (shk@redhat.com)

* Mon May 13 2013 Sam Kottler <shk@redhat.com> 1.1.10001-1
- Moved rel-eng to the top level dir (shk@redhat.com)

* Mon May 13 2013 Sam Kottler <shk@redhat.com> 1.1.10000-1
- Initial creation of MDP1 package
* Tue Apr 30 2013 Sam Kottler <shk@redhat.com> 1.1.9999-1
- Updated to 1.1.9999 (1.2-pre)
* Fri Feb 15 2013 shk@redhat.com 1.1-3
- Bumped safemode dependency
* Thu Feb 14 2013 shk@redhat.com 1.1-2
- Fixed baseurl in the -release subpackage.
- Updated to 1.1-1
* Mon Feb 4 2013 shk@redhat.com 1.1-1
- 1.1 final.
* Mon Jan 28 2013 shk@redhat.com 1.1RC5-2
- Bumped fog version dependency
* Fri Jan 25 2013 shk@redhat.com 1.1RC5-1
- Updated Rails requirements and bumped to RC5.
* Thu Dec 27 2012 shk@redhat.com 1.1RC3-1
- Updated to 1.1RC3 and updated dependencies.
* Wed Dec 19 2012 jmontleo@redhat.com 1.0.2-1
- Fix Foreman SQL injection through search mechanism CVE-2012-5648
* Thu Aug 09 2012 jmontleo@redhat.com 1.0.1-1
- Version 1.0.1
* Sun Aug 05 2012 jmontleo@redhat.com 1.0.0-2
- Update to pull in fixes
* Mon Jul 23 2012 jmontleo@redhat.com 1.0.0-1
- Update packages for Foreman 1.0 Release and add support for using thin.
* Wed Jul 18 2012 jmontleo@redhat.com 1.0.0-0.7
- Updated pacakages for Foreman 1.0 RC5 and Proxy RC2
* Thu Jul 05 2012 jmontleo@redhat.com 1.0.0-0.6
- Fix foreman-release to account for different archs. Pull todays source.
* Wed Jul 04 2012 jmontleo@redhat.com 1.0.0-0.5
- Bump version number and rebuild for RC3
* Sun Jul 01 2012 jmontleo@redhat.com 1.0.0-0.4
- Pull todays develop branch to fix dbmigrate issue, add mistakenly deleted version string back, and replace foreman-fog with foreman-ec2 as it indicates more clearly what functionality the package provides.
* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.3
- More fixes for dbmigrate, foreman-cli and foreman-release added
* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.2
- Rebuild with develop branch from today for 1.0.0 RC2. Try to fix inconsistent db:migrate runs on upgrades.
* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-20
- Implement conf.d style Gemfile configuration for bundle to replace the ugly method used in previous rpm versions. Replace foreman-virt package with foreman-libvirt package as it was confusing to have fog virt ovirt and vmware.
* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-9
- Rebuild with todays develop branch. Add VERSION file 1688, add wget dependency 1514, update rbovirt dep to 0.0.12, and break out ovirt support to foreman-ovirt package.
* Thu Jun 14 2012 jmontleo@redhat.com 0.5.1-8
- Rebuild with todays develop branch.
* Wed Jun 13 2012 jmontleo@redhat.com 0.5.1-7
- Rebuild with todays develop branch. Add require for at least rubygem-rake 0.9.2.2. Run rake:db migrate on upgrade.
* Wed May 30 2012 jmontleo@redhat.com 0.5.1-5
- Rebuild with todays merge of compute resource RBAC patch
* Tue May 29 2012 jmontleo@redhat.com 0.5.1-4
- Fix rpm dependencies for foreman-virt and foreman-vmware to include foreman-fog
* Tue May 29 2012 jmontleo@redhat.com 0.5.1-3
- tidy up postinstall prepbundle.sh, rebuild with EC2 support, and split out foreman-fog and foreman-vmware support
* Tue May 08 2012 jmontleo@redhat.com 0.5.1-1
- adding prepbundle.sh to run post install of any foreman packages, other small fixes
* Fri May 04 2012 jmontleo@redhat.com 0.5.1-0.2
- updated foreman to develop branch from May 04 which included many fixes including no longer requiring foreman-virt
* Mon Jan 11 2012 ohadlevy@gmail.com - 0.4.2
- rebuilt
* Mon Dec 6 2011 ohadlevy@gmail.com - 0.4.1
- rebuilt
* Thu Nov 08 2011 ohadlevy@gmail.com - 0.4
- rebuilt
* Thu Nov 07 2011 ohadlevy@gmail.com - 0.4rc5
- rebuilt
* Thu Oct 25 2011 ohadlevy@gmail.com - 0.4rc4
- rebuilt
* Thu Oct 18 2011 ohadlevy@gmail.com - 0.4rc3
- rebuilt
* Sat Sep 28 2011 ohadlevy@gmail.com - 0.4rc2
- rebuilt
* Sat Sep 10 2011 ohadlevy@gmail.com - 0.4rc1
- rebuilt

* Tue Jun 07 2011 ohadlevy@gmail.com - 0.3
- rebuilt

* Tue May 24 2011 ohadlevy@gmail.com - 0.3rc1-2
- rebuilt

* Thu May 05 2011 ohadlevy@gmail.com - 0.3rc1
- rebuilt

* Tue Mar 29 2011 ohadlevy@gmail.com - 0.2
- Version bump to 0.2

* Tue Mar 22 2011 ohadlevy@gmail.com - 0.2-rc1
- rebuilt

* Thu Feb 24 2011 ohadlevy@gmail.com - 0.1.7-rc5
- rebuilt

* Sat Feb 12 2011 ohadlevy@gmail.com - 0.1.7-rc4.1
- rebuilt
* Mon Jan 31 2011 ohadlevy@gmail.com - 0.1.7-rc3.1
- rebuilt
* Tue Jan 18 2011 ohadlevy@gmail.com - 0.1.7-rc2.1
- rebuilt

* Sat Jan 15 2011 ohadlevy@gmail.com - 0.1.7-rc2
- rebuilt

* Fri Dec 17 2010 ohadlevy@gmail.com - 0.1.7rc1
- rebuilt

* Mon Nov 29 2010 ohadlevy@gmail.com - 0.1.6-3
- rebuilt
* Thu Nov 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6-1
- Included fix for #461, as without it newly installed instances are not usable
* Thu Nov 11 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6
- New upstream version
* Sun Oct 30 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc2
- New release candidate
- Updated configuration file permssion not to break passenger
* Sun Sep 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc1
- Removed the depenecy upon rack 1.0.1 as its now bundled within Foreman
* Mon May 31 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.5-1
- New upstream version
- Added migration support between old directory layout to FHS compliancy, upgrades from 0.1-4.x should now work
- Added support for logrotate
- Cleanup old activescaffold plugin leftovers files
* Fri Apr 30 2010 Todd Zullinger <tmz@pobox.com> - 0.1.4-4
- Rework %%install for better FHS compliance
- Misc. adjustments to match Fedora/EPEL packaging guidelines
- Update License field to GPLv3+ to match README
- Use foreman as the primary group for the foreman user instead of puppet
- This breaks compatibility with previous RPM, as directories can't be replaced with links easily.

* Thu Apr 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1-4-3
- added status to startup script
- removed puppet module from the RPM

* Thu Apr 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-2
- Added startup script for built in webrick server
- Changed foreman user default shell to /sbin/nologin and is now part of the puppet group
- defaults to sqlite database

* Thu Apr 6 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-1
- Initial release.
